Bug 641500 - clang objective c compiler missing an include path
clang objective c compiler missing an include path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 18:13 EDT by Seppo Yli-Olli
Modified: 2010-10-28 02:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: llvm-2.7-11.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 18:51:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Seppo Yli-Olli 2010-10-08 18:13:28 EDT
Description of problem: /usr/include/GNUstepBase/preface.h:81:11: fatal error: 'objc/objc.h' file not found

Version-Release number of selected component (if applicable):
clang-2.7-9.fc14.1
llvm-2.7-9.fc14.1

Reason: clang is missing /usr/lib/gcc/x86_64-redhat-linux/4.5.1/include/ from path when compiling in objective c mode

Would be appreciated if a dynamic solution similar to the one in https://bugzilla.redhat.com/show_bug.cgi?id=630474 would be implemented.
Comment 1 Fedora Update System 2010-10-14 19:08:06 EDT
llvm-2.7-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/llvm-2.7-11.fc14
Comment 2 Fedora Update System 2010-10-14 19:53:20 EDT
llvm-2.7-11.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/llvm-2.7-11.fc13
Comment 3 Fedora Update System 2010-10-15 00:09:19 EDT
llvm-2.7-11.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update llvm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/llvm-2.7-11.fc14
Comment 4 Fedora Update System 2010-10-27 18:51:26 EDT
llvm-2.7-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-10-28 02:22:02 EDT
llvm-2.7-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.